# Uses of Class
nu.xom.Comment

Packages that use Comment
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of Comment in nu.xom

Methods in nu.xom that return Comment
Modifier and Type
Method
Description
`Comment`
Comment.`copy()`
Returns a deep copy of this `Comment` object which contains the same text, but does not have any parent.
Methods in nu.xom with parameters of type Comment
Modifier and Type
Method
Description
`protected void`
Serializer.`write(Comment comment)`
Writes a comment onto the output stream using the current options.
Constructors in nu.xom with parameters of type Comment
Modifier
Constructor
Description
``
`Comment(Comment comment)`
Creates a new comment that's a copy of its argument.

## Uses of Comment in nu.xom.converters

Methods in nu.xom.converters that return Comment
Modifier and Type
Method
Description
`static Comment`
DOMConverter.`convert(Comment comment)`
Translates a DOM `org.w3c.dom.Comment` object into an equivalent `nu.xom.Comment` object.

## Uses of Comment in nu.xom.tests

Methods in nu.xom.tests with parameters of type Comment
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, Comment expected, Comment actual)`
Asserts that two comment nodes are equal.
`static void`
XOMTestCase.`assertEquals(Comment expected, Comment actual)`
Asserts that two comment nodes are equal.